Subject: Bug#241: [X2Go-Dev] Bug#241: Bug#241: Changed host key cannot be updated

From: Mike Gabriel <[email-masked]>
Date: Fri, 21 Jun 2013 10:53:24 +0200

Hi Stefan, hi Heinrich,

On Fr 21 Jun 2013 10:42:12 CEST Stefan Baur wrote:

> Am 21.06.2013 10:20, schrieb Mike Gabriel:
>
>> @all: comments, opinions on such a new feature?
>
> This has been discussed previously on the list - I believe it was  
> before the introduction of X2Go-BTS, which is why there's no  
> bug/ticket regarding it.
> Subject was: "Feature Request: update ssh public key fingerprint  
> from within x2goclient"
> Date: 2012-02-17 14:41
> Message-ID: <[email-masked]>
>
> We need to find a middle ground between the current "No soup for  
> you!" and the way-too-easy "Update host key [Y]/n" prompt.
>
> My suggestion back then was:
> "I would like to suggest adding an option to remove/update the key  
> from within the X2Go-Client. However, to avoid "user click-through",  
> it should be somewhere in the menu, and the popup message should be  
> amended with a note pointing to that menu."

This sounds like a nice solution. Heinrich, are you willing to work on  
this new feature? As you have also worked on the https proxy support  
code, I guess you are capable to perform this task ;-).

Otherwise, we will keep this wishlist request on the list, but do not  
expect a prompt solution for this.

Thanks+Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb